RIO_CLEAR_LOCKS(9)

NAME
rio_clear_locks - Release all host locks and signal enumeration complete

SYNOPSIS

int rio_clear_locks(struct rio_net * net);

ARGUMENTS

net
    RIO network to run on

DESCRIPTION

Marks the component tag CSR on each device with the enumeration complete flag. When complete, it then release the host locks on each device. Returns 0 on success or -EINVAL on failure.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT